Subject: Re: PATCH: Add zle-line-pre-redraw hook for highlighting
From: Mikael Magnusson <[email-masked]>
To: m0viefreak <[email-masked]>
Cc: Daniel Shahaf <[email-masked]>, Bart Schaefer <[email-masked]>, Zsh hackers list <[email-masked]>
Date: Mon, 11 Jan 2016 16:26:22 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Sun, Jan 10, 2016 at 11:17 PM, m0viefreak
<[email-masked]> wrote:
>
>
> On 19.12.2015 10:49, Daniel Shahaf wrote:
>> Bart Schaefer wrote on Wed, Dec 16, 2015 at 00:05:01 -0800:
>>> On Dec 15, 2015 10:27 PM, "Mikael Magnusson" <[email-masked]> wrote:
>>>> I haven't received any complaints about 36650 from testers, so I'll go ahead
>>>> and push this.
>>
>> Hooray!
>>
>> This should fix between 2 and 5 z-sy-h issues:
>> https://github.com/zsh-users/zsh-syntax-highlighting/issues/245
>
> One remaining issue with this approach is the fact that this new hook is
> not triggered when a minibuffer such as isearch is active and BUFFER
> changes.
>
> Is it possible to add support for that, too?
>
> I don't know the zle internals very well, and I couldn't figure out the
> right spot to place a call to the hook without causing performance
> issues due to multiple (useless) calls.

You can probably add your redraw hook at the end of your
zle-isearch-update and zle-isearch-exit hooks (not sure if both are
needed). If you don't use them already, just point them directly at
your redraw hook function.

-- 
Mikael Magnusson